#!/bin/bash
#
# Guralp Configuration System
#   Copyright (c) 2007-2009 Guralp Systems Ltd. All rights reserved.
#
#   System ID or hostname.

if [ "X$1" == "X--navbar" ]
then
	echo "tasktop	Tasks"
	echo "dirclean	Directory cleaner"
	exit 0
fi

# Load support functions
script_dir=$(dirname $0)
. $script_dir/functions.sh


cleancfg="/etc/directory-cleaner"


# List configured directories
declare -i i=0
for file in ${cleancfg}/*.local
do
	if [ -f "${file}" ]
	then
		name="$(basename ${file} .local)"
		desc="$(gcs_get_varcf directory ${file})"
		[ -z "${desc}" ] && desc="${name}"

		echo "select_dirs${i}=${name} ${desc}"
		((++i))
	fi
done


# Find free slot
i=0
while [ -f "${cleancfg}/${i}.local" ]
do
	((++i))
done
echo "select_create0=${i} Setup cleaning in new directory"

exit 0
